/*============================================================================
  File:     RestoreSalesDB - WithDiffs.sql

  Summary:  Creates a copy of a modified version of the SalesDB so that 
			differences can be detected using TableDiff.exe.
  
  Date:     November 2010

  SQL Server Version: SQL Server 2008 SP1
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp & Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  written/presented by SQLskills.com  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

SET NOCOUNT ON
go

USE master
go

IF DATABASEPROPERTYEX('SalesDB_Diffs', 'Collation') IS NOT NULL
	ALTER DATABASE SalesDB_Diffs
		SET RESTRICTED_USER 
		WITH ROLLBACK IMMEDIATE
go

RESTORE DATABASE [SalesDB_Diffs] 
FROM DISK = N'C:\SYSolutions, Inc\ConferenceSessions\TechReady\MC04_DB307\SalesDBBackupForDiffs.BAK' 
WITH FILE = 1,  
	MOVE N'SalesDBData' TO N'C:\Program Files\Microsoft SQL Server\MSSQL10.SQLDEV01\MSSQL\DATA\SalesDB_Diffs_Data.mdf',  
	MOVE N'SalesDBLog' TO N'C:\Program Files\Microsoft SQL Server\MSSQL10.SQLDEV01\MSSQL\DATA\SalesDB_Diffs_Lab.ldf',  
NOUNLOAD, REPLACE, STATS = 10
go

